# PLAYING THE GAME
- Each game has a series of challenges to complete, users are provided with a
  bash shell and a folder of clues. 
- The challenges are numbered 1-X.
- Users must submit the solutions to each challenge to the admin, the first
  user to submit correct solutions to each challenge will win the game.
- If at any point the user enters an invalid shell command, they will be
  eliminated from the game.
- If you think you have the solution for a challenge, submit your answer using
  the `submit` command in the format `submit <challenge #> <solution>`
- For example, you would run `submit 3 "the color pink"` to submit "the color
  pink" as your solution for challenge #3 (quotes would not be included, and
are subject to normal bash escaping rules)
- At any time, you can run the `progress` command to see your progress in
  completing the challenges

# DA RULES
- You may use the internet
- You may write scripts
- You may not use sh, you must use bash
- You may not install more packages
- You may not use programs other than the ones provided on your container
- You may not attempt to obtain root access
- You may not communicate with other players
- You may not interact or tamper with the containers or environments of other
  users
- You may not interact or tamper with your own container
- You may not break out of your container and/or access the host system in any
  way
- You may not nullify or remove the "Suicide Linux" mechanic in any way
- You may use any package already installed on the system provided its use does
  not break any of the other rules
- For the love of god don't build a bot that just brute forces random strings
  to try and get a correct answer
