#!/bin/sh
export XDG_RUNTIME_DIR=/home/slbr-admin/.docker/run
export DOCKER_HOST=unix:///home/slbr-admin/.docker/run/docker.sock
docker ps \
    -f label="description=SLBR User Container" \
    --format "{{.ID}}" \
| xargs docker rm -f
docker images -a \
| grep ^slbr \
| awk '{print $3}' \
| xargs docker rmi -f

printf "" > log.txt
rm scores/*
